Support » Fixing WordPress » Updated my blog to 2.3, but categories do not work

  • I just updated my blog to version 2.3, and I am having problems with my categories giving me an error message. I checked the list of incompatible plugins, and none of my plugins are on that list. I then went through the list of compatible plugins and compared that to what I have installed, and I have quite a few plugins that are not on that list either. So I’m guessing they just haven’t been checked out yet or something.

    None of my plugins have anything to do with categories, though, which is why I’m confused about what to do next. This is the error message that I get when I am on the “Write Post” page, in the category box on the right hand side:

    WordPress database error: [Table ‘votemitt.wp_categories’ doesn’t exist] SELECT cat_ID FROM wp_categories WHERE category_parent = 0 AND ( link_count = 0 OR category_count != 0 OR ( link_count = 0 AND category_count = 0 ) ) ORDER BY category_count DESC

    I have tried to do searches to find a solution, but everything I have found has talked about there not being a compatible plugin somewhere. I can’t find any such thing on my site.

    Here is a list of all of the plugins that are neither on the approved list or the unapproved list – please tell me if you think one of them may be causing the problem:

    Active Discussions 1.1
    Advanced WYSIWYG Editor 0.2
    Blockquote Cite 0.3.1
    Countdown Timer 1.9
    del.icio.us widget 1.0
    Easy Announcement 1.1
    Easy Tube 0.2
    Favatars 2
    Feed Footer 1.1
    FormBuilder 0.33
    Google Search widget 1.0
    If You Liked That… 1.1
    ImageManager 2.4.1
    Live Post Preview 1.1
    MightyLinker 1.1
    Now Reading 4.3.6
    PollPress 1.0
    Recommendit 1.2
    Unfancy Quote 2.0
    Wayback Widget 0.1
    WordPress Email Notification Plugin v2.3.1
    wp-comment-spam-stopper v1.1.1
    WP Trackback for Pages 0.2

    I am not the most technologically advanced person in the world, but if you explain what I need to do in fairly simple, plain terms, I’m sure I can do it.

    I use an FTP server, if that makes any difference.

    Thank you very much in advance,

    Hava

    PS The website I’m working on (in case it matters) is http://www.votemittforpresident.com Thank you.

Viewing 9 replies - 1 through 9 (of 9 total)
  • As of 2.3, the wp_categories table no longer contains the link_count or category_count fields.

    You might need to find a 2.3 version of your theme.

    Here’s some compatible themes:
    http://codex.wordpress.org/Themes/Theme_Compatibility/2.3

    Thank you for the quick response. 🙂 I posted a comment on the blog of the person who put together “Field of Dreams” (the theme I was using) asking him to upgrade the theme, and then went ahead and checked out the list of compatible themes that you linked to. I found a great theme on there, “Mandigo 1.28,” and uploaded it onto my blog. However, I am still getting the same error message on my “Write Page”. You can also see an error message when you read a post on its own page (as an example, click here.)

    Is there anything else I need to be doing? I would appreciate any other advice you could give me. Thank you very much!

    Havs

    Easy check: switch to the latest default theme. If the error is gone – the problem is with the theme. If the error persist, deactivate all your plugins. If it works… activate them one by one until you find the culprit.

    Thanks for the suggestion, Moshu! I did as you said, and downloaded WordPress Default 1.5, which I think is the default theme currently in use – it was the only one I could find in the Directory Theme that looked like the correct one. If that isn’t it, please tell me. Thank you. 🙂

    Anyway, I downloaded that, activated it, and still had the error message. So I deactivated all of my plugins, and still have no working categories (I am getting the same exact error message.) Now, I don’t know if this helps at all, but when I clicked on “Deactivate all plugins” it gave me the error message,

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, ‘formbuilder_deactivation’ was given in /www/www.votemittforpresident.com/wp-includes/plugin.php on line 164

    Warning: Cannot modify header information – headers already sent by (output started at /www/www.votemittforpresident.com/wp-includes/plugin.php:164) in /www/www.votemittforpresident.com/wp-includes/pluggable.php on line 390

    I then reloaded the page, and it brought up the plugins page, all of them deactivated. I checked the categories in the “Write Page” and they are still showing the error message.

    Any suggestions? My blog is as bare as can be (generic theme, no plugins, absolutely nothing exciting happening anywhere) and my categories still do not work.

    If you have any other ideas or suggestions, I am open to them all. Thanks so much for all of your help so far. 🙂

    Havs

    Nothing? Is my cause that hopeless?

    Darn it…

    Havs

    WordPress 2.3 comes delivered with WordPress Default 1.6 theme so you can get that theme via the download link at the top of this page.

    If you DID NOT have that version to begin with then you must not have gotten a complete upload of the 2.3 files.

    Please consider deleting and reuploading the 2.3 files.

    Uploading WordPress to a remote host

    Now that you mention it, I do remember seeing that in my themes page. I deleted it because I never use the default theme, and then never thought another thing about it.

    I just redownloaded the new WP version and am uploading it onto my FTP. Once that’s done, I’ll see if I can get things figured out. When I figure out which plugin it is giving me fits, I’ll make sure to post it on here.

    Many thanks for all of your patience and help,

    Havs

    The latest Default is 1.6 (not 1.5)

    Download the WP package from here and take the theme from there!

    I just wanted to give everyone an update. I deleted the original 2.3 that I downloaded, and uploaded it again. For some reason, that fixed the problem. My old theme works, my new theme works, the default blah version works – I have no problems whatsoever.

    Of course, I just saw that 2.3.1 was just released 7 hours ago, so I may be back again 😉 but for now, everything is working just fine. Apparently it didn’t download correctly the first time or something…

    Thanks to everyone for your help – I truly appreciate it!!!!

    Havs

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Updated my blog to 2.3, but categories do not work’ is closed to new replies.